﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CodeGen.TS.Generation.Members
{
    public interface IMemberInfo
    {
        bool UseObservable { get; set;}
        bool IsArray { get; set; }

        Type OriginalCLRType { get; set; }
        IntegratedTypescriptType ScriptType { get; set; }
        string MemberName { get; set; }

        //Maybe it was better to specify the ICodeGenerator here, but this could lead to side effects
        string ComplexTypeName { get; set; }
        
    }
}
