﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace CodeGen.TS.Generation.Members
{
    public class TSParameterInfo : IMemberInfo
    {
        public bool IsArray
        {
            get;
            set;
        }

        public Type OriginalCLRType
        {
            get;
            set;
        }

        public IntegratedTypescriptType ScriptType
        {
            get;
            set;
        }

        public string MemberName
        {
            get;
            set;
        }

        public string ComplexTypeName
        {
            get;
            set;
        }
        public bool UseObservable
        {
            get;
            set;
        }

        public TSParameterInfo(ParameterInfo info)
        {
            this.MemberName = info.Name;
        }

        public string GetDefinition()
        {
            return this.MemberName + ": " + this.GetTypeName();
        }
    }
}
