﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CodeGen.TS
{
    public enum IntegratedTypescriptType : byte
    {
        Unknown = 0,
        Bool = 1,
        Number = 2,
        String = 3,
        Date = 4,
        Complex=5
    }

    public enum BaseTypeMode  :byte
    {
        /// <summary>
        /// Properties/Methods from base class will not be included
        /// </summary>
        None=0, 
        /// <summary>
        /// Properties/Methods from base class will be included in the same class
        /// </summary>
        Include=1,

        /// <summary>
        /// Properties/Methods from base class will be included in separate class
        /// </summary>
        Exclude =2
    }
}
